Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.core.model
Class CategoryModel

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.update.core.model.ModelObject
              org.eclipse.update.core.model.CategoryModel

All Implemented Interfaces:
  IAdaptable

Direct Known Subclasses:
  Category

public class CategoryModel
extends ModelObject

Feature category definition model object.

This class may be instantiated or subclassed by clients. However, in most cases clients should instead instantiate or subclass the provided concrete implementation of this model.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `Category`

Constructor Summary
`CategoryModel()` Creates an uninitialized model object.

Method Summary
`boolean` | `equals(Object obj)` Compare two category models for equality.
`static Comparator` | `getComparator()` Returns a comparator for category models.
`URLEntryModel` | `getDescriptionModel()` Retrieve the detailed category description
`String` | `getLabel()` Retrieve the displayable label for the category.
`String` | `getLabelNonLocalized()` Retrieve the non-localized displayable label for the category.
`String` | `getName()` Retrieve the name of the category.
`protected String` | `getPropertyName()` Method getPropertyName.
`int` | `hashCode()` Compute hash code for category model.
`void` | `markReadOnly()` Marks the model object as read-only.
`void` | `resolve(URL base, URL bundleURL)` Resolve the model object.
`void` | `setDescriptionModel(URLEntryModel description)` Sets the category description.
`void` | `setLabel(String label)` Sets the category displayable label.
`void` | `setName(String name)` Sets the category name.

Methods inherited from class org.eclipse.update.core.model.ModelObject
`arrayTypeFor, arrayTypeFor, assertIsWriteable, getResourceBundle, isReadOnly, markListReferenceReadOnly, markReferenceReadOnly, resolveListReference, resolveNLString, resolveReference, resolveURL`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CategoryModel

    public CategoryModel()

  Creates an uninitialized model object.

Since:
  2.0

Method Detail

### getName

    public String getName()

  Retrieve the name of the category.

  Returns:
    category name, or `null`.
  Since:
    2.0

### getLabel

    public String getLabel()

  Retrieve the displayable label for the category. If the model object has been resolved, the label is localized.

  Returns:
    displayable label, or `null`.
  Since:
    2.0

### getLabelNonLocalized

    public String getLabelNonLocalized()

  Retrieve the non-localized displayable label for the category.

  Returns:
    non-localized displayable label, or `null`.
  Since:
    2.0

### getDescriptionModel

    public URLEntryModel getDescriptionModel()

  Retrieve the detailed category description

  Returns:
    category description, or `null`.
  Since:
    2.0

### setLabel

    public void setLabel(String label)

  Sets the category displayable label. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `label` - displayable label, or resource key
  Since:
    2.0

### setName

    public void setName(String name)

  Sets the category name. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `name` - category name
  Since:
    2.0

### setDescriptionModel

    public void setDescriptionModel(URLEntryModel description)

  Sets the category description. Throws a runtime exception if this object is marked read-only.

  Parameters:
    `description` - category description
  Since:
    2.0

### markReadOnly

    public void markReadOnly()

  Marks the model object as read-only.

  Overrides:
    `markReadOnly` in class `ModelObject`
  Since:
    2.0
  See Also:
    `ModelObject.isReadOnly()`

### resolve

    public void resolve(URL base,
                        URL bundleURL)
                 throws MalformedURLException

  Resolve the model object. Any URL strings in the model are resolved relative to the base URL argument. Any translatable strings in the model that are specified as translation keys are localized using the supplied resource bundle.

  Overrides:
    `resolve` in class `ModelObject`
  Parameters:
    `base` - URL
    `bundleURL` - resource bundle URL
  Throws:
    `MalformedURLException`
  Since:
    2.0

### equals

    public boolean equals(Object obj)

  Compare two category models for equality.

  Since:
    2.0
  See Also:
    `Object.equals(Object)`

### hashCode

    public int hashCode()

  Compute hash code for category model.

  Since:
    2.0
  See Also:
    `Object.hashCode()`

### getComparator

    public static Comparator getComparator()

  Returns a comparator for category models.

  Returns:
    comparator
  Since:
    2.0

### getPropertyName

    protected String getPropertyName()

  Description copied from class: `ModelObject`
  Method getPropertyName.

  Overrides:
    `getPropertyName` in class `ModelObject`
  Returns:
    String
  See Also:
    `ModelObject.getPropertyName()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.